## unace 1.2b

=== debian/changelog ===
unace (1.2b-26) unstable; urgency=medium

  * Update lintian overrides.
  * Fix builds on big-endian systems, by properly defining the expected
    macros in debian/rules.
  * Remove versioned build dependency on debhelper, satisfied since bookworm.
  * Run wrap-and-sort -ast on debian/tests/control.
  * Declare compliance with dpkg-build-api (= 1).
    - Remove explicit inclusion of dpkg/buildtools.mk done now by
      dpkg/default.mk.

 -- Guillem Jover <guillem@debian.org>  Thu, 26 Feb 2026 23:36:36 +0100

unace (1.2b-25) unstable; urgency=medium

  * Use URL instead of FSF postal address for GPL in debian/copyright.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.
  * Remove versioned Build-Depends on dpkg-dev, satisfied since Debian trixie.
  * Add debian/watch file to mark upstream as untrackable.
  * Add superficial autopkgtest for the crasher file from CVE-2015-2063.
  * Switch to Standards-Version 4.7.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 21 Feb 2026 02:41:11 +0100

unace (1.2b-24) unstable; urgency=medium

  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Switch to Standards-Version 4.7.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Apr 2024 02:48:28 +0200

unace (1.2b-23) unstable; urgency=medium

  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Do not trim debian/changelog.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 01:00:08 +0100

unace (1.2b-22) unstable; urgency=medium

  * Fix typo in patch description.
  * Update lintian overrides for removed debian/watch file.
  * Add missing buildtools.mk include, fixing FTCBFS.
    Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #1019688)

 -- Guillem Jover <guillem@debian.org>  Wed, 14 Sep 2022 04:28:13 +0200

unace (1.2b-21) unstable; urgency=medium

  * Fix out of bounds read for .ace header comment. (Closes: #785377)
  * Document in man page and package description that only ACE 1.0 archives
    are supported.
  * Remove empty debian/watch file that was used to denote no upstream
    location, as it is not liked by tooling and infrastructure.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Pass build flags explicitly to dh_auto_build to override the variables
    set explicitly by upstream. Regression from switch to dh sequencer.
  * Move Source field close to Format field in debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 Aug 2022 11:28:43 +0200

unace (1.2b-20) unstable; urgency=medium

  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Use spaces around Makefile assignment operator.

 -- Guillem Jover <guillem@debian.org>  Sat, 22 Jan 2022 21:56:26 +0100

unace (1.2b-19) unstable; urgency=medium

  * Switch to debhelper compatibility level 13.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Remove versioned Build-Depends on dpkg-dev satisfied in stable.
  * Change upstream statement in README.Debian from promise to guarantee.
  * Mark debian/watch as version 4.
  * Add debian/source/lintian-overrides to declare missing upstream.
  * Switch to dh sequencer.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 19:15:28 +0100

unace (1.2b-18) unstable; urgency=medium

  * Namespace debhelper README.Debian fragment file too.
  * Remove unnecessary unace.dirs debhelper fragment file.
  * Switch to debhelper compatibility level 12.
  * Switch from debian/compat to debhelper-commpat in Build-Depends.
  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Fix cross-compilation support:
    - Stop using gccmaked which does not support cross-building, and instead
      move the dependency information into a separate makefile.dep, which will
      be created by a call to $(CPP) -MM directly in the upstream makefile.
    - Stop symlinking on build and removing on clean both makefile and gccmaked
      from the unix directory, and call the upstream makefile from there.
    - We can now always call the upstream makefile unconditionally.
    - Include dpkg's buildtools.mk and pass CC to the build system.

 -- Guillem Jover <guillem@debian.org>  Thu, 11 Jul 2019 01:41:06 +0200

unace (1.2b-17) unstable; urgency=medium

  * Namespace debhelper files with package name.
  * Wrap and sort dependency fields.
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * Fix unace(1) man page synopsis markup.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Feb 2019 18:29:42 +0100

unace (1.2b-16) unstable; urgency=medium

  * Switch to debhelper compatibility level 10.
  * Switch from broken getconf cross interface to future=+lfs build flags.
  * Set Rules-Requires-Root to no.
  * Bump Standards-Version to 4.1.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 04:39:26 +0100

unace (1.2b-15) unstable; urgency=medium

  * Use https for hadrons.org URLs.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Add metadata to the patches.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable all hardening flags.

 -- Guillem Jover <guillem@debian.org>  Fri, 03 Jun 2016 01:04:19 +0200

unace (1.2b-14) unstable; urgency=low

  * Enable LFS, using getconf to pass the correct build flags.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Aug 2015 04:30:18 +0200

unace (1.2b-13) unstable; urgency=low

  * Use https for the copyright Format URL.
  * Switch Vcs-Browser to a cgit URL.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Move local filesystem location of GPL to a Comment: copyright section.
  * Move AUTHOR section in man page to a comment header.
  * Update SEE ALSO in man page. Remove ppmd(1), and add xz(1) and unrar(1).

 -- Guillem Jover <guillem@debian.org>  Wed, 13 May 2015 03:56:11 +0200

unace (1.2b-12) unstable; urgency=high


