=== debian/control ===
Source: unace
Section: utils
Maintainer: Guillem Jover <guillem@debian.org>
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/unace.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/unace.git
Standards-Version: 4.7.3
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),

Package: unace
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: extract, test and view .ace archives
 The unace utility is used for extracting, testing and viewing
 the contents of archives created with the ACE archiver.
 .
 Note that only ACE 1.0 archives are supported.
