=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
export DEB_CPPFLAGS_MAINT_APPEND = -DUNIX -DCASEINSENSE
export DEB_CFLAGS_MAINT_APPEND = -Wall

ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
DEB_CPPFLAGS_MAINT_APPEND += -DLO_HI_BYTE_ORDER
else ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
DEB_CPPFLAGS_MAINT_APPEND += -DHI_LO_BYTE_ORDER
else
$(error "unknown endian")
endif

include /usr/share/dpkg/default.mk

buildflags =
buildflags += CC=$(CC)
buildflags += CPPFLAGS="$(CPPFLAGS)"
buildflags += CFLAGS="$(CFLAGS)"
buildflags += LDFLAGS="$(LDFLAGS)"

%:
	dh $@ --buildsystem=makefile

override_dh_auto_clean:
	dh_auto_clean -- -f unix/makefile

override_dh_auto_build:
	dh_auto_build -- -f unix/makefile $(buildflags)

override_dh_installchangelogs:
	dh_installchangelogs --no-trim changes.log
