=== debian/tests/control ===
Tests:
 test-crash,
Restrictions:
 superficial,
